Bug 130567 - firstboot throws exception in "activate" module
firstboot throws exception in "activate" module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
3
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks: FC3Target FC3BugWeekQA
  Show dependency treegraph
 
Reported: 2004-08-21 18:38 EDT by G.Wolfe Woodbury
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 22:22:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
auto-saved traceback of firstboot run (1.81 KB, text/plain)
2004-08-21 18:39 EDT, G.Wolfe Woodbury
no flags Details
Autogenerated firstboot (1.81 KB, text/plain)
2004-08-23 22:09 EDT, Shawn M. Jones
no flags Details

  None (edit)
Description G.Wolfe Woodbury 2004-08-21 18:38:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
firstboot throws an exception and traceback when running

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install rawhide of 2004-08-20
2.
3.
    

Actual Results:  see attachment of auto-saved traceback

Additional info:
Comment 1 G.Wolfe Woodbury 2004-08-21 18:39:54 EDT
Created attachment 102963 [details]
auto-saved traceback of firstboot run
Comment 2 Shawn M. Jones 2004-08-23 22:00:27 EDT
I've got this one too.  After hitting enter on the grey X screen, it
asked me if I would like to "Reread the License Agreement" or
"Shutdown".  I chose "Reread" and now I'm back to the grey screen.

I had to kill X with CTRL-ALT-BACKSPACE.
Comment 3 Shawn M. Jones 2004-08-23 22:09:53 EDT
Created attachment 103012 [details]
Autogenerated firstboot
Comment 4 Brent Fox 2004-08-27 10:42:42 EDT
I'm still seeing this with rawhide-latest as of 08-27.

The traceback indicates that the traceback is coming from the RHN
registration modules, which shouldn't even be installed on a Fedora
system.  I don't know if I should change the component of this bug
report to up2date or not.  Adrian will see it either way.
Comment 5 Adrian Likins 2004-09-02 14:19:32 EDT
should be fixed in up2date-4.3.29 (doesnt include the
registration modules, which arent needed for fedora)
Comment 6 G.Wolfe Woodbury 2004-09-07 20:55:56 EDT
it's not throwing an activate exception anymore, but it doesn't run
properly either.  There are quite a few problems with the rawhide tree
at the moment on my test machine so I don't know where problems are
arising.
Comment 7 G.Wolfe Woodbury 2004-09-28 11:33:41 EDT
Firstboot failed to run properly on my machine again.  Rawhide of
2004-09-27.  The X session blinked a few times, but again there was a
failure to connect and no appropriate/useful error messages from
firstboot.
Comment 8 Jef Spaleta 2004-09-28 22:22:27 EDT
firstboot-1.3.26-1
confirming that the orignal reported problems of throwing an exception
and a traceback is no longer occuring. I'm not sure what comment 7 is
speaking of, the firstboot in the development tree seems to work for
me when i re-enable the firstboot service and reboot.

I'm closing this as resolution rawhide. 
Please file a new bug report with specifics about the odd behavior you
describe in comment 7 if you think there is a bug unrelated to the
original report concerning the tracebacking. 

-jef 

Note You need to log in before you can comment on or make changes to this bug.